Skip to content

Get tenant usage and quotas.

Method

GET https://papi.afi.ai/api/v1/tenants/{id}/quotas

Description

Retrieves usage and quota limits for the tenant.

Path params
id string required

ID of the tenant to retrieve quotas for.

curl -X GET \
    -H 'Authorization: {api-key}' \
    https://papi.afi.ai/api/v1/tenants/{id}/quotas

Successful response (200) schema
object

TenantQuotas contains the quota entries for a tenant.

quotas array of objects
object

TenantQuota describes tenant usage and quota limits for a given quota kind.

kind string

Kind of item covered by this quota (resource (user), storage, virtual machine, node, etc.).

used uint64

Number of quota units consumed.

limit uint64

Maximum number of units allowed for this item. If automatic license quantity adjustment is enabled, this limit equals the auto-licensing limit. A value of 4294967295 means unlimited.

units string

Unit of measure used for this quota (empty for resource, virtual machine, database, and node quotas; MB or GB for storage).

exceeded boolean

Indicates whether the quota limit is exceeded. Once exceeded, the service becomes restricted and some or all backups may fail.

Response example
{
  "quotas": [
    {
      "kind": "string",
      "used": "uint64-as-string",
      "limit": "uint64-as-string",
      "units": "string",
      "exceeded": true
    }
  ]
}